BorderLineStyle

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl.format
Class BorderLineStyle

    java.lang.Object
      jxl.format.BorderLineStyle

Direct Known Subclasses:
  BorderLineStyle

    public class BorderLineStyle

extends java.lang.Object

The border line style

Field Summary
`static BorderLineStyle` | `DASH_DOT`
`static BorderLineStyle` | `DASH_DOT_DOT`
`static BorderLineStyle` | `DASHED`
`static BorderLineStyle` | `DOTTED`
`static BorderLineStyle` | `DOUBLE`
`static BorderLineStyle` | `HAIR`
`static BorderLineStyle` | `MEDIUM`
`static BorderLineStyle` | `MEDIUM_DASH_DOT`
`static BorderLineStyle` | `MEDIUM_DASH_DOT_DOT`
`static BorderLineStyle` | `MEDIUM_DASHED`
`static BorderLineStyle` | `NONE`
`static BorderLineStyle` | `SLANTED_DASH_DOT`
`static BorderLineStyle` | `THICK`
`static BorderLineStyle` | `THIN`

Method Summary
`java.lang.String` | `getDescription()` Gets the textual description
`static BorderLineStyle` | `getStyle(int val)` Gets the alignment from the value
`int` | `getValue()` Gets the value for this line style

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final BorderLineStyle NONE

### THIN

    public static final BorderLineStyle THIN

### MEDIUM

    public static final BorderLineStyle MEDIUM

### DASHED

    public static final BorderLineStyle DASHED

### DOTTED

    public static final BorderLineStyle DOTTED

### THICK

    public static final BorderLineStyle THICK

### DOUBLE

    public static final BorderLineStyle DOUBLE

### HAIR

    public static final BorderLineStyle HAIR

### MEDIUM_DASHED

    public static final BorderLineStyle MEDIUM_DASHED

### DASH_DOT

    public static final BorderLineStyle DASH_DOT

### MEDIUM_DASH_DOT

    public static final BorderLineStyle MEDIUM_DASH_DOT

### DASH_DOT_DOT

    public static final BorderLineStyle DASH_DOT_DOT

### MEDIUM_DASH_DOT_DOT

    public static final BorderLineStyle MEDIUM_DASH_DOT_DOT

### SLANTED_DASH_DOT

    public static final BorderLineStyle SLANTED_DASH_DOT

Method Detail

### getValue

    public int getValue()

  Gets the value for this line style

  Returns:
    the value

### getDescription

    public java.lang.String getDescription()

  Gets the textual description

### getStyle

    public static BorderLineStyle getStyle(int val)

  Gets the alignment from the value

  Parameters:
    `val` -
  Returns:
    the alignment with that value

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD